--开服竞技
Lua_OpenServiceAthleticsData = class("Lua_OpenServiceAthleticsData");
Lua_OpenServiceAthleticsData.STAR = 2004;--星级
Lua_OpenServiceAthleticsData.TIER = 9;--塔数
Lua_OpenServiceAthleticsData.FORCE = 2;--战力
function Lua_OpenServiceAthleticsData:ctor()
	self:dispose();
end

function Lua_OpenServiceAthleticsData:dispose()
	self.rewardsList = nil;
	self.rank_list = nil;
	self.configList = {};
	if self._tabArr ~= nil then
		self._tabArr:dispose();
		self._tabArr:clear();
		self._tabArr = nil;
	end
end

function Lua_OpenServiceAthleticsData:getRewardsInfo(types)
	if self.rewardsList == nil then
		self.rewardsList = {};
		local cfg = getConfig("open_arena");
		for k, v in pairs(cfg) do
			if v.type ~= nil then
				if self.rewardsList[v.type] == nil then
					self.rewardsList[v.type] = Array();
				end
				self.rewardsList[v.type]:add(k);
			end
		end
		for k,v in pairs(self.rewardsList) do
			v:sortf(self, self.sortf);
		end
	end
	if self.rewardsList[types] == nil then
		return Array();
	end
	return self.rewardsList[types];
end

function Lua_OpenServiceAthleticsData:sortf(a, b)
    if a < b then
        return true;
    end
    return false;
end

function Lua_OpenServiceAthleticsData:getOpenArenaVoById(id)
	if self.configList == nil then
		self.configList = {};
	end
	if self.configList[id] == nil then
		self.configList[id] =  getConfig("open_arena",id);
	end
	return self.configList[id];
end

function Lua_OpenServiceAthleticsData:fromServer50197035(msg)
	if msg == nil then
		return
	end

	self.end_time = tonumber(msg.end_time);--活动结束时间

	self:updateRedPoint(false);
end

function Lua_OpenServiceAthleticsData:updateRedPoint(state)
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.LimitedTimeAct_OpenAthletics, state);
end

function Lua_OpenServiceAthleticsData:fromServer80197035(msg)
	if DataCenter.funcOpenData:isOpened(10242) then
		self:updateRedPoint(msg.red_state == 1);
	end
end

function Lua_OpenServiceAthleticsData:getShowTabArr()
	if self._tabArr == nil then
		self._tabArr = Array();
		local cfg = getConfig("open_arena_tab");
		if cfg ~= nil then
			for k, v in pairs(cfg) do
				if v.shield ~= 1 then
					self._tabArr:add({ textStr = v.name, tagType = v.type, sort = v.sort});
				end
			end
		end

		self._tabArr:sort("sort", false);
	end

	return self._tabArr;
end