Lua_CumulateGiftVo = class("Lua_CumulateGiftVo")
function Lua_CumulateGiftVo:ctor(id, config)
	self.id = id;
	self._config = config;
	self:dispose();
end

function Lua_CumulateGiftVo:dispose()
	self.rechargeMoney = 0;
	self.drawState = 0;
	self.sortWeight = 1;
end

function Lua_CumulateGiftVo:updateCumulateGiftVoInfo(msg, money)
	self.rechargeMoney = tonumber(money); -- 当天充值金额
	self.drawState = msg.value; -- 0未完成 1可领取 2已领取
	self.sortWeight = (msg.value + 1) % 3;
end

function Lua_CumulateGiftVo.Get:config()
	if self._config == nil then
		self._config = getConfig("cumulate_days_recharge", self.id);
	end
	return self._config;
end

-- 轮次
function Lua_CumulateGiftVo.Get:round()
	return self.config.round;
end

-- 档次（天数）
function Lua_CumulateGiftVo.Get:grade()
	return self.config.grade;
end

-- 充值目标金额
function Lua_CumulateGiftVo.Get:targetMoney()
	return self.config.money;
end