-- 主线前景数据
Lua_MainLinePreViewConfig = class("Lua_MainLinePreViewConfig");
function Lua_MainLinePreViewConfig.getConfig(id)
	if id == nil then
		return nil;
	end
	
	id = tonumber(id);
	if Lua_MainLinePreViewConfig.configDic == nil then
		Lua_MainLinePreViewConfig.configDic = {};
	end

	if Lua_MainLinePreViewConfig.configDic[id] == nil then
		local cfg = getConfig("mainline_preview", id);
	    if cfg == nil then
	    	return nil;
	    end
		Lua_MainLinePreViewConfig.configDic[id] = Lua_MainLinePreViewConfig.new(id, cfg);
	end
	return Lua_MainLinePreViewConfig.configDic[id];
end

function Lua_MainLinePreViewConfig:ctor(id, config)
	self:superCall("ctor");
    self.id = id;
    self.config = config;
    if self.config == nil then
	    self.config = getConfig("mainline_preview", id);
	end
end

function Lua_MainLinePreViewConfig.Get:resUrl()
	return self.config.resUrl;
end

function Lua_MainLinePreViewConfig.Get:modelName()
	return self.config.modelName;
end

function Lua_MainLinePreViewConfig.Get:isOrtho()
	return self.config.camType ~= 1;
end

function Lua_MainLinePreViewConfig.Get:fieldView()
	return self.config.fieldView;
end

function Lua_MainLinePreViewConfig.Get:scrollSpd()
	return self.config.scrollSpd;
end

function Lua_MainLinePreViewConfig.Get:width()
	return self.config.width;
end